Debian Bug report logs - #433780
xen-utils-common: /etc/init.d/xend restart should restart xenstored and xenconsole

version graph

Package: xen-utils-common; Maintainer for xen-utils-common is Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>; Source for xen-utils-common is src:xen.

Reported by: Russell Coker <russell@coker.com.au>

Date: Thu, 19 Jul 2007 12:19:08 UTC

Severity: normal

Tags: wontfix

Merged with 574675, 628912

Found in versions 4.0.1-2, xen-common/3.0.3-0-2, xen-common/3.4.2-3

Fixed in version 4.1.2-3

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#433780; Package xen-utils-common. Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
New Bug report received and forwarded. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xen-utils-common: /etc/init.d/xend restart should restart xenstored and xenconsole
Date: Thu, 19 Jul 2007 22:14:23 +1000
Package: xen-utils-common
Version: 3.0.3-0-2
Severity: normal

There should be a clean and clearly defined way to restart all the Xen daemons
in the case of error.

If the file /var/lib/xenstored/tdb is corrupt then you must stop xenstored,
rm the file, and then restart it.  Currently there is no defined way of doing
this so the solution is to kill -9 the process, rm the file, and then reboot.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-xen-686
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)

Versions of packages xen-utils-common depends on:
ii  lsb-base                      3.1-23.1   Linux Standard Base 3.1 init scrip
ii  udev                          0.105-4    /dev/ and hotplug management daemo

xen-utils-common recommends no packages.

-- no debconf information



Merged 433780 574675. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 20 Mar 2010 07:45:05 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Mon, 21 Jun 2010 15:09:04 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.1-2. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 14 Apr 2012 17:09:19 GMT) Full text and rfc822 format available.

Merged 433780 574675 628912 Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 14 Apr 2012 17:09:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Jun 2012 07:35:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:57:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.